<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="http://unnitech.net/primanotafacile"
           targetNamespace="http://unnitech.net/primanotafacile" elementFormDefault="qualified">

    <xs:element name="getArchiveRequest">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:element name="getArchiveResponse">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="archive" type="tns:archive"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:complexType name="archive">
        <xs:sequence>
            <xs:element name="archive_name" type="xs:string"/>
            <xs:element name="password" type="xs:string"/>
        </xs:sequence>
    </xs:complexType>

	    

<xs:element name="getAllArchiveRequest">
<xs:complexType>
            <xs:sequence>
          
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
 <xs:element name="getAllArchiveResponse">
		<xs:complexType>
		<xs:sequence>
			<xs:element minOccurs="0" maxOccurs="unbounded" name="allArchiveResponse" type="tns:archive"/>
		</xs:sequence>
		</xs:complexType>
 </xs:element>
	
	<xs:element name="addArchiveRequest">
<xs:complexType>
            <xs:sequence>
            	<xs:element name="archive" type="tns:archive"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  <xs:element name="addArchiveResponse">
<xs:complexType>
            <xs:sequence>
            <xs:element name="response" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
 	<xs:element name="updateArchiveRequest">
<xs:complexType>
            <xs:sequence>
            	<xs:element name="oldArchive" type="xs:string"/>
            	<xs:element name="newArchive" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  <xs:element name="updateArchiveResponse">
<xs:complexType>
            <xs:sequence>
            <xs:element name="response" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
 	<xs:element name="deleteArchiveRequest">
<xs:complexType>
            <xs:sequence>
            	<xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  <xs:element name="deleteArchiveResponse">
<xs:complexType>
            <xs:sequence>
            <xs:element name="response" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  	<xs:element name="copyArchiveRequest">
<xs:complexType>
            <xs:sequence>
            	<xs:element name="archiveName" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  <xs:element name="copyArchiveResponse">
<xs:complexType>
            <xs:sequence>
            <xs:element name="response" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
	
	<xs:element name="getBankRequest">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="bank_id" type="xs:string"/>
                <xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:element name="getBankResponse">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="bank" type="tns:bank"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:complexType name="bank">
        <xs:sequence>
            <xs:element name="bank_id" type="xs:string"/>
            <xs:element name="name" type="xs:string"/>
            <xs:element name="description" type="xs:string"/>
            <xs:element name="disabled" type="xs:string"/>
            <xs:element name="id_archive" type="xs:string"/>
        </xs:sequence>
    </xs:complexType>

<xs:element name="getAllBankRequest">
<xs:complexType>
            <xs:sequence>
            	<xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
 <xs:element name="getAllBankResponse">
		<xs:complexType>
		<xs:sequence>
			<xs:element minOccurs="0" maxOccurs="unbounded" name="allBankResponse" type="tns:bank"/>
		</xs:sequence>
		</xs:complexType>
 </xs:element>
 
 <xs:element name="getAllBankCustomRequest">
<xs:complexType>
            <xs:sequence>
            	<xs:element name="archive_name" type="xs:string"/>
            	<xs:element name="queryClient" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
 <xs:element name="getAllBankCustomResponse">
		<xs:complexType>
		<xs:sequence>
			<xs:element minOccurs="0" maxOccurs="unbounded" name="allBankCustomResponse" type="tns:bank"/>
		</xs:sequence>
		</xs:complexType>
 </xs:element>
 
 <xs:element name="addBankRequest">
<xs:complexType>
            <xs:sequence>
            	<xs:element name="bank" type="tns:bank"/>
            	<xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  <xs:element name="addBankResponse">
<xs:complexType>
            <xs:sequence>
            <xs:element name="response" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  <xs:element name="updateBankRequest">
<xs:complexType>
            <xs:sequence>
            	<xs:element name="bank" type="tns:bank"/>
            	<xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  <xs:element name="updateBankResponse">
<xs:complexType>
            <xs:sequence>
            <xs:element name="response" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  
  <xs:element name="deleteBankRequest">
<xs:complexType>
            <xs:sequence>
            	<xs:element name="bank_id" type="xs:string"/>
            	<xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  <xs:element name="deleteBankResponse">
<xs:complexType>
            <xs:sequence>
            <xs:element name="response" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
 <xs:element name="getBanksLikeNameRequest">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="name" type="xs:string"/>
                <xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>
	<xs:element name="getBanksLikeNameResponse">
        <xs:complexType>
            <xs:sequence>
               <xs:element minOccurs="0" maxOccurs="unbounded" name="allBanksLikeNameResponse" type="tns:bank"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>
	 <xs:element name="getBanksByArchiveRequest">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="archive_name" type="xs:string"/>
                
            </xs:sequence>
        </xs:complexType>
    </xs:element>
	<xs:element name="getBanksByArchiveResponse">
        <xs:complexType>
            <xs:sequence>
                <xs:element minOccurs="0" maxOccurs="unbounded" name="allBanksByArchiveResponse" type="tns:bank"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>
    
    <xs:element name="getCompanyRequest">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="company_id" type="xs:string"/>
                <xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:element name="getCompanyResponse">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="company" type="tns:company"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:complexType name="company">
        <xs:sequence>
            <xs:element name="company_id" type="xs:string"/>
            <xs:element name="name" type="xs:string"/>
            <xs:element name="tax_code" type="xs:string"/>
            <xs:element name="vat_number" type="xs:string"/>
            <xs:element name="address" type="xs:string"/>
            <xs:element name="city" type="xs:string"/>
            <xs:element name="zip_code" type="xs:string"/>
            <xs:element name="country" type="xs:string"/>
            <xs:element name="phone_number" type="xs:string"/>
            <xs:element name="fax" type="xs:string"/>
            <xs:element name="e_mail" type="xs:string"/>
            <xs:element name="web" type="xs:string"/>
            <xs:element name="default_currency" type="xs:string"/>
        </xs:sequence>
    </xs:complexType>
	<xs:element name="getAllCompaniesRequest">
<xs:complexType>
            <xs:sequence>
            <xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
 <xs:element name="getAllCompaniesResponse">
		<xs:complexType>
		<xs:sequence>
			<xs:element minOccurs="0" maxOccurs="unbounded" name="allCompaniesResponse" type="tns:company"/>
		</xs:sequence>
		</xs:complexType>
 </xs:element>
 
 	<xs:element name="getAllCompaniesCustomRequest">
<xs:complexType>
            <xs:sequence>
            <xs:element name="archive_name" type="xs:string"/>
            <xs:element name="queryClient" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
 <xs:element name="getAllCompaniesCustomResponse">
		<xs:complexType>
		<xs:sequence>
			<xs:element minOccurs="0" maxOccurs="unbounded" name="allCompaniesCustomResponse" type="tns:company"/>
		</xs:sequence>
		</xs:complexType>
 </xs:element>
 
 <xs:element name="getCompaniesLikeNameRequest">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="name" type="xs:string"/>
                <xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>
	<xs:element name="getCompaniesLikeNameResponse">
        <xs:complexType>
            <xs:sequence>
               <xs:element minOccurs="0" maxOccurs="unbounded" name="allCompaniesLikeNameResponse" type="tns:company"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>
    
    <xs:element name="addCompanyRequest">
<xs:complexType>
            <xs:sequence>
            	<xs:element name="company" type="tns:company"/>
            	<xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  <xs:element name="addCompanyResponse">
<xs:complexType>
            <xs:sequence>
            <xs:element name="response" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
   <xs:element name="updateCompanyRequest">
<xs:complexType>
            <xs:sequence>
            	<xs:element name="company" type="tns:company"/>
            	<xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  <xs:element name="updateCompanyResponse">
<xs:complexType>
            <xs:sequence>
            <xs:element name="response" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
    <xs:element name="deleteCompanyRequest">
<xs:complexType>
            <xs:sequence>
            	<xs:element name="company_id" type="xs:string"/>
            	<xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  <xs:element name="deleteCompanyResponse">
<xs:complexType>
            <xs:sequence>
            <xs:element name="response" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
    
    <xs:element name="getContactRequest">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="contact_id" type="xs:string"/>
                <xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:element name="getContactResponse">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="contact" type="tns:contact"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:complexType name="contact">
        <xs:sequence>
            <xs:element name="contact_id" type="xs:string"/>
            <xs:element name="full_name" type="xs:string"/>
            <xs:element name="address" type="xs:string"/>
            <xs:element name="city" type="xs:string"/>
            <xs:element name="zip_code" type="xs:string"/>
            <xs:element name="state" type="xs:string"/>
            <xs:element name="phone_home" type="xs:string"/>
            <xs:element name="phone_work" type="xs:string"/>
            <xs:element name="mobile_number" type="xs:string"/>
            <xs:element name="fax" type="xs:string"/>
            <xs:element name="e_mail1" type="xs:string"/>
            <xs:element name="e_mail2" type="xs:string"/>
            <xs:element name="instant_message" type="xs:string"/>
            <xs:element name="web" type="xs:string"/>
            <xs:element name="note" type="xs:string"/>
            <xs:element name="contact_type" type="xs:string"/>
        </xs:sequence>
    </xs:complexType>
	<xs:element name="getAllContactsRequest">
<xs:complexType>
            <xs:sequence>
            <xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
 <xs:element name="getAllContactsResponse">
		<xs:complexType>
		<xs:sequence>
			<xs:element minOccurs="0" maxOccurs="unbounded" name="allContactsResponse" type="tns:contact"/>
		</xs:sequence>
		</xs:complexType>
 </xs:element>
 
 	<xs:element name="getAllContactsCustomRequest">
<xs:complexType>
            <xs:sequence>
            <xs:element name="archive_name" type="xs:string"/>
             <xs:element name="queryClient" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
 <xs:element name="getAllContactsCustomResponse">
		<xs:complexType>
		<xs:sequence>
			<xs:element minOccurs="0" maxOccurs="unbounded" name="allContactsCustomResponse" type="tns:contact"/>
		</xs:sequence>
		</xs:complexType>
 </xs:element>
 
 <xs:element name="getContactsLikeNameRequest">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="full_name" type="xs:string"/>
                <xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>
	<xs:element name="getContactsLikeNameResponse">
        <xs:complexType>
            <xs:sequence>
                <xs:element minOccurs="0" maxOccurs="unbounded" name="allContactsLikeNameResponse" type="tns:contact"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>
    
       <xs:element name="addContactRequest">
<xs:complexType>
            <xs:sequence>
            	<xs:element name="contact" type="tns:contact"/>
            	<xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  <xs:element name="addContactResponse">
<xs:complexType>
            <xs:sequence>
            <xs:element name="response" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
        <xs:element name="updateContactRequest">
<xs:complexType>
            <xs:sequence>
            	<xs:element name="contact" type="tns:contact"/>
            	<xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  <xs:element name="updateContactResponse">
<xs:complexType>
            <xs:sequence>
            <xs:element name="response" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
         <xs:element name="deleteContactRequest">
<xs:complexType>
            <xs:sequence>
            	<xs:element name="contact_id" type="xs:string"/>
            	<xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  <xs:element name="deleteContactResponse">
<xs:complexType>
            <xs:sequence>
            <xs:element name="response" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
    
    <xs:element name="getEntryRequest">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="entry_id" type="xs:string"/>
                <xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:element name="getEntryResponse">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="entry" type="tns:entry"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:complexType name="entry">
        <xs:sequence>
            <xs:element name="entry_id" type="xs:string"/>
            <xs:element name="entry_date" type="xs:string"/>
            <xs:element name="document_number" type="xs:string"/>
            <xs:element name="document_date" type="xs:string"/>
            <xs:element name="id_operation_type" type="xs:string"/>
            <xs:element name="description" type="xs:string"/>
            <xs:element name="incoming_value_bank" type="xs:string"/>
            <xs:element name="outgoing_value_bank" type="xs:string"/>
            <xs:element name="id_bank" type="xs:string"/>
            <xs:element name="id_contact" type="xs:string"/>
            <xs:element name="out_cash" type="xs:string"/>
            <xs:element name="incoming_value_cash" type="xs:string"/>
            <xs:element name="outgoing_value_cash" type="xs:string"/>
        </xs:sequence>
    </xs:complexType>
	<xs:element name="getAllEntriesRequest">
<xs:complexType>
            <xs:sequence>
            <xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
 <xs:element name="getAllEntriesResponse">
		<xs:complexType>
		<xs:sequence>
			<xs:element minOccurs="0" maxOccurs="unbounded" name="allEntriesResponse" type="tns:entry"/>
		</xs:sequence>
		</xs:complexType>
 </xs:element>
 
 	<xs:element name="getAllEntriesCustomRequest">
<xs:complexType>
            <xs:sequence>
            <xs:element name="archive_name" type="xs:string"/>
            <xs:element name="queryClient" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
 <xs:element name="getAllEntriesCustomResponse">
		<xs:complexType>
		<xs:sequence>
			<xs:element minOccurs="0" maxOccurs="unbounded" name="allEntriesCustomResponse" type="tns:entryBalance"/>
		</xs:sequence>
		</xs:complexType>
 </xs:element>
 
 <xs:complexType name="entryBalance">
        <xs:sequence>
            <xs:element name="entry_id" type="xs:string"/>
            <xs:element name="entry_date" type="xs:string"/>
            <xs:element name="document_number" type="xs:string"/>
            <xs:element name="document_date" type="xs:string"/>
            <xs:element name="id_operation_type" type="xs:string"/>
            <xs:element name="description" type="xs:string"/>
            <xs:element name="incoming_value_bank" type="xs:string"/>
            <xs:element name="outgoing_value_bank" type="xs:string"/>
            <xs:element name="id_bank" type="xs:string"/>
            <xs:element name="id_contact" type="xs:string"/>
            <xs:element name="out_cash" type="xs:string"/>
            <xs:element name="incoming_value_cash" type="xs:string"/>
            <xs:element name="outgoing_value_cash" type="xs:string"/>
            <xs:element name="balance_bank" type="xs:string"/>
            <xs:element name="balance_cash" type="xs:string"/>
        </xs:sequence>
    </xs:complexType>
    
    
  	<xs:element name="getAllEntriesPreviousPeriodRequest">
<xs:complexType>
            <xs:sequence>
            <xs:element name="archive_name" type="xs:string"/>
            <xs:element name="queryClient" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
 <xs:element name="getAllEntriesPreviousPeriodResponse">
		 <xs:complexType>
            <xs:sequence>
                <xs:element name="entryPreviousPeriod" type="tns:entryPreviousPeriod"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>   
 
  <xs:complexType name="entryPreviousPeriod">
        <xs:sequence>
     		<xs:element name="totalOutCash" type="xs:string"/>
			<xs:element name="totalBalanceCash" type="xs:string"/>
			<xs:element name="totalBalanceBank" type="xs:string"/>
        </xs:sequence>
    </xs:complexType>
 
 
 <xs:element name="getEntriesByOperationTypeRequest">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="id_operation_type" type="xs:string"/>
                <xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>
	<xs:element name="getEntriesByOperationTypeResponse">
        <xs:complexType>
            <xs:sequence>
                <xs:element minOccurs="0" maxOccurs="unbounded" name="allEntriesByOperationTypeResponse" type="tns:entry"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>
     <xs:element name="getEntriesByBankRequest">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="id_bank" type="xs:string"/>
                <xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>
	<xs:element name="getEntriesByBankResponse">
        <xs:complexType>
            <xs:sequence>
                <xs:element minOccurs="0" maxOccurs="unbounded" name="allEntriesByBankResponse" type="tns:entry"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>
    <xs:element name="getEntriesByDateRequest">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="entry_date" type="xs:string"/>
                <xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>
	<xs:element name="getEntriesByDateResponse">
        <xs:complexType>
            <xs:sequence>
                <xs:element minOccurs="0" maxOccurs="unbounded" name="allEntriesByDateResponse" type="tns:entry"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>
    <xs:element name="getEntriesBeforeDateRequest">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="entry_date" type="xs:string"/>
                <xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>
	<xs:element name="getEntriesBeforeDateResponse">
        <xs:complexType>
            <xs:sequence>
                <xs:element minOccurs="0" maxOccurs="unbounded" name="allEntriesBeforeDateResponse" type="tns:entry"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>
    <xs:element name="getEntriesAfterDateRequest">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="entry_date" type="xs:string"/>
                <xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>
	<xs:element name="getEntriesAfterDateResponse">
        <xs:complexType>
            <xs:sequence>
                 <xs:element minOccurs="0" maxOccurs="unbounded" name="allEntriesAfterDateResponse" type="tns:entry"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>
    <xs:element name="getEntriesBetweenDatesRequest">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="entry_start_date" type="xs:string"/>
                <xs:element name="entry_end_date" type="xs:string"/>
                <xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>
	<xs:element name="getEntriesBetweenDatesResponse">
        <xs:complexType>
            <xs:sequence>
                 <xs:element minOccurs="0" maxOccurs="unbounded" name="allEntriesBetweenDatesResponse" type="tns:entry"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>
    
    
      <xs:element name="addEntryRequest">
<xs:complexType>
            <xs:sequence>
            	<xs:element name="entry" type="tns:entry"/>
            	<xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  <xs:element name="addEntryResponse">
<xs:complexType>
            <xs:sequence>
            <xs:element name="response" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
   <xs:element name="updateEntryRequest">
<xs:complexType>
            <xs:sequence>
            	<xs:element name="entry" type="tns:entry"/>
            	<xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  <xs:element name="updateEntryResponse">
<xs:complexType>
            <xs:sequence>
            <xs:element name="response" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  <xs:element name="deleteEntryRequest">
<xs:complexType>
            <xs:sequence>
            	<xs:element name="entry_id" type="xs:string"/>
            	<xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  <xs:element name="deleteEntryResponse">
<xs:complexType>
            <xs:sequence>
            <xs:element name="response" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
    
    <xs:element name="getOperationTypeRequest">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="operation_type_id" type="xs:string"/>
                <xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:element name="getOperationTypeResponse">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="operation_type" type="tns:operation_type"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:complexType name="operation_type">
        <xs:sequence>
            <xs:element name="name" type="xs:string"/>
            <xs:element name="incoming" type="xs:string"/>
            <xs:element name="outgoing" type="xs:string"/>
            <xs:element name="operation_type_id" type="xs:string"/>
        </xs:sequence>
    </xs:complexType>

<xs:element name="getAllOperationTypesRequest">
<xs:complexType>
            <xs:sequence>
            <xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
 <xs:element name="getAllOperationTypesResponse">
		<xs:complexType>
		<xs:sequence>
			<xs:element minOccurs="0" maxOccurs="unbounded" name="allOperationTypesResponse" type="tns:operation_type"/>
		</xs:sequence>
		</xs:complexType>
 </xs:element>
 
 <xs:element name="getAllOperationTypesCustomRequest">
<xs:complexType>
            <xs:sequence>
            <xs:element name="archive_name" type="xs:string"/>
            <xs:element name="queryClient" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
 <xs:element name="getAllOperationTypesCustomResponse">
		<xs:complexType>
		<xs:sequence>
			<xs:element minOccurs="0" maxOccurs="unbounded" name="allOperationTypesCustomResponse" type="tns:operation_type"/>
		</xs:sequence>
		</xs:complexType>
 </xs:element>
 
    <xs:element name="addOperationTypeRequest">
<xs:complexType>
            <xs:sequence>
            	<xs:element name="operation_type" type="tns:operation_type"/>
            	<xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  <xs:element name="addOperationTypeResponse">
<xs:complexType>
            <xs:sequence>
            <xs:element name="response" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
    <xs:element name="updateOperationTypeRequest">
<xs:complexType>
            <xs:sequence>
            	<xs:element name="operation_type" type="tns:operation_type"/>
            	<xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  <xs:element name="updateOperationTypeResponse">
<xs:complexType>
            <xs:sequence>
            <xs:element name="response" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
    <xs:element name="deleteOperationTypeRequest">
<xs:complexType>
            <xs:sequence>
            	<xs:element name="operation_type_id" type="xs:string"/>
            	<xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  <xs:element name="deleteOperationTypeResponse">
<xs:complexType>
            <xs:sequence>
            <xs:element name="response" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
 
  <xs:element name="getSqliteSequenceRequest">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="name" type="xs:string"/>
                <xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:element name="getSqliteSequenceResponse">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="sqlite_sequence" type="tns:sqlite_sequence"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:complexType name="sqlite_sequence">
        <xs:sequence>
            <xs:element name="name" type="xs:string"/>
            <xs:element name="seq" type="xs:string"/>
        </xs:sequence>
    </xs:complexType>

	<xs:element name="getAllSqliteSequenciesRequest">
		<xs:complexType>
            <xs:sequence>
            <xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 	</xs:element>
 
 <xs:element name="getAllSqliteSequenciesResponse">
		<xs:complexType>
		<xs:sequence>
			<xs:element minOccurs="0" maxOccurs="unbounded" name="allSqliteSequenciesResponse" type="tns:sqlite_sequence"/>
		</xs:sequence>
		</xs:complexType>
 </xs:element>
 
  <xs:element name="addSqliteSequenceRequest">
<xs:complexType>
            <xs:sequence>
            	<xs:element name="sqlite_sequence" type="tns:sqlite_sequence"/>
            	<xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  <xs:element name="addSqliteSequenceResponse">
<xs:complexType>
            <xs:sequence>
            <xs:element name="response" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  <xs:element name="updateSqliteSequenceRequest">
<xs:complexType>
            <xs:sequence>
            	<xs:element name="sqlite_sequence" type="tns:sqlite_sequence"/>
            	<xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  <xs:element name="updateSqliteSequenceResponse">
<xs:complexType>
            <xs:sequence>
            <xs:element name="response" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
   <xs:element name="deleteSqliteSequenceRequest">
<xs:complexType>
            <xs:sequence>
            	<xs:element name="sqlite_sequence_id" type="xs:string"/>
            	<xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  <xs:element name="deleteSqliteSequenceResponse">
<xs:complexType>
            <xs:sequence>
            <xs:element name="response" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
 
 <xs:element name="getReminderRequest">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="reminder_id" type="xs:string"/>
                <xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:element name="getReminderResponse">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="reminder" type="tns:reminder"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:complexType name="reminder">
        <xs:sequence>
            <xs:element name="date" type="xs:string"/>
            <xs:element name="description" type="xs:string"/>
            <xs:element name="id_contact" type="xs:string"/>
            <xs:element name="value" type="xs:string"/>
            <xs:element name="completed" type="xs:string"/>
            <xs:element name="reminder_id" type="xs:string"/>
        </xs:sequence>
    </xs:complexType>

<xs:element name="getAllRemindersRequest">
<xs:complexType>
            <xs:sequence>
            <xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
 <xs:element name="getAllRemindersResponse">
		<xs:complexType>
		<xs:sequence>
			<xs:element minOccurs="0" maxOccurs="unbounded" name="allRemindersResponse" type="tns:reminder"/>
		</xs:sequence>
		</xs:complexType>
 </xs:element>
 
 <xs:element name="getAllRemindersByContactRequest">
<xs:complexType>
            <xs:sequence>
            <xs:element name="archive_name" type="xs:string"/>
            <xs:element name="id_contact" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
 <xs:element name="getAllRemindersByContactResponse">
		<xs:complexType>
		<xs:sequence>
			<xs:element minOccurs="0" maxOccurs="unbounded" name="allRemindersByContactResponse" type="tns:reminder"/>
		</xs:sequence>
		</xs:complexType>
 </xs:element>
 
 <xs:element name="getAllRemindersLikeDescriptionRequest">
<xs:complexType>
            <xs:sequence>
            <xs:element name="archive_name" type="xs:string"/>
            <xs:element name="description" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
 <xs:element name="getAllRemindersLikeDescriptionResponse">
		<xs:complexType>
		<xs:sequence>
			<xs:element minOccurs="0" maxOccurs="unbounded" name="allRemindersLikeDescriptionResponse" type="tns:reminder"/>
		</xs:sequence>
		</xs:complexType>
 </xs:element>
 
  <xs:element name="getAllRemindersBeforeDateRequest">
<xs:complexType>
            <xs:sequence>
            <xs:element name="archive_name" type="xs:string"/>
            <xs:element name="date" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
 <xs:element name="getAllRemindersBeforeDateResponse">
		<xs:complexType>
		<xs:sequence>
			<xs:element minOccurs="0" maxOccurs="unbounded" name="allRemindersBeforeDateResponse" type="tns:reminder"/>
		</xs:sequence>
		</xs:complexType>
 </xs:element>
 
 <xs:element name="getAllRemindersAfterDateRequest">
<xs:complexType>
            <xs:sequence>
            <xs:element name="archive_name" type="xs:string"/>
            <xs:element name="date" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
 <xs:element name="getAllRemindersAfterDateResponse">
		<xs:complexType>
		<xs:sequence>
			<xs:element minOccurs="0" maxOccurs="unbounded" name="allRemindersAfterDateResponse" type="tns:reminder"/>
		</xs:sequence>
		</xs:complexType>
 </xs:element>
 
  <xs:element name="getAllRemindersBetweenDatesRequest">
<xs:complexType>
            <xs:sequence>
            <xs:element name="archive_name" type="xs:string"/>
            <xs:element name="startDate" type="xs:string"/>
            <xs:element name="endDate" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
 <xs:element name="getAllRemindersBetweenDatesResponse">
		<xs:complexType>
		<xs:sequence>
			<xs:element minOccurs="0" maxOccurs="unbounded" name="allRemindersBetweenDatesResponse" type="tns:reminder"/>
		</xs:sequence>
		</xs:complexType>
 </xs:element>
 
  <xs:element name="getAllRemindersCustomRequest">
<xs:complexType>
            <xs:sequence>
            <xs:element name="archive_name" type="xs:string"/>
            <xs:element name="query" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
 <xs:element name="getAllRemindersCustomResponse">
		<xs:complexType>
		<xs:sequence>
			<xs:element minOccurs="0" maxOccurs="unbounded" name="allRemindersCustomResponse" type="tns:reminder"/>
		</xs:sequence>
		</xs:complexType>
 </xs:element>
 
    <xs:element name="addReminderRequest">
<xs:complexType>
            <xs:sequence>
            	<xs:element name="reminder" type="tns:reminder"/>
            	<xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  <xs:element name="addReminderResponse">
<xs:complexType>
            <xs:sequence>
            <xs:element name="response" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
    <xs:element name="updateReminderRequest">
<xs:complexType>
            <xs:sequence>
            	<xs:element name="reminder" type="tns:reminder"/>
            	<xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  <xs:element name="updateReminderResponse">
<xs:complexType>
            <xs:sequence>
            <xs:element name="response" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
    <xs:element name="deleteReminderRequest">
<xs:complexType>
            <xs:sequence>
            	<xs:element name="reminder_id" type="xs:string"/>
            	<xs:element name="archive_name" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
  <xs:element name="deleteReminderResponse">
<xs:complexType>
            <xs:sequence>
            <xs:element name="response" type="xs:string"/>
            </xs:sequence>
        </xs:complexType>
 </xs:element>
 
 
    
</xs:schema>